CC = gcc
INCLUDES = \
	-I../../include \
	-I../../include 

CFLAGS = -Wall -Wpedantic -std=c90
LIBS = -lvnhsic -lm
LIBPATHS = \
	-L ../../build \
	-L ../../../build

all: ezhsi

ezhsi: \
	main.o \
	../../build/libvnhsic.a 
	$(CC) -o ezhsi main.o $(LIBPATHS) $(LIBS)

main.o: main.c
	$(CC) $(CFLAGS) $(INCLUDES) -c main.c

../../build/libvnhsic.a:
	cd ../.. && make

clean:
	rm -f main.o
	rm -f ezhsi.o
	cd ../.. && make clean
	